Always take public anonymous comments through moderation

Bug #1753359 reported by Kristina Hoeppner on 2018-03-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
18.04
High
Robert Lyon
18.10
High
Unassigned

Bug Description

Anonymous comments are an easy target for spammers as they can just leave a comment.

While portfolio authors receive an email notification about new comments, if they don't have access to the email address anymore or don't monitor their emails closely, a portfolio page can end up with lots of spam comments.

It would be beneficial, if all anonymous comments that are placed publicly went through a moderation explicitly rather than the page author having to select to moderate comments.

Robert Lyon (robertl-9) on 2018-03-06
Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Robert Lyon (robertl-9)

Reviewed: https://reviews.mahara.org/8575
Committed: https://git.mahara.org/mahara/mahara/commit/8cc3b795647688805b6bca1fd032bdb4f6097fc3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8cc3b795647688805b6bca1fd032bdb4f6097fc3
Author: Robert Lyon <email address hidden>
Date: Tue Mar 6 13:56:06 2018 +1300

Bug 1753359: Force public comments to be moderated

behatnotneeded

Change-Id: I9a43d30dfbf68982cc90c496600ca8c79ef35a7b
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2018-03-08
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature

Reviewed: https://reviews.mahara.org/8618
Committed: https://git.mahara.org/mahara/mahara/commit/ceaa34cbb489713d8578637465c66e6930ea5739
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ceaa34cbb489713d8578637465c66e6930ea5739
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Mar 14 09:42:56 2018 +1300

Bug 1753359: Artefacts - Force public comments to be moderated

behatnotneeded

Change-Id: If0758686d6bbfbabfb847b88a829f0c659a38360

Reviewed: https://reviews.mahara.org/8655
Committed: https://git.mahara.org/mahara/mahara/commit/4dca7ac55762724b98e859ced81c2ef32533fae5
Submitter: Robert Lyon (<email address hidden>)
Branch: 18.04_STABLE

commit 4dca7ac55762724b98e859ced81c2ef32533fae5
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Mar 14 09:42:56 2018 +1300

Bug 1753359: Artefacts - Force public comments to be moderated

behatnotneeded

Change-Id: If0758686d6bbfbabfb847b88a829f0c659a38360
(cherry picked from commit ceaa34cbb489713d8578637465c66e6930ea5739)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.